Update organization name
curl --request PATCH \
--url https://api.chainstack.com/v2/organization/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My organization"
}
'import requests
url = "https://api.chainstack.com/v2/organization/"
payload = { "name": "My organization" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My organization'})
};
fetch('https://api.chainstack.com/v2/organization/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "RG-123-456",
"name": "My organization"
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {}
}
}Organization v2
Update organization name with the Chainstack Platform API v2
Change the name of your organization using the Chainstack Platform API v2. Send a PATCH request to /v2/organization/ with the new name.
PATCH
/
v2
/
organization
/
Update organization name
Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Body
application/json
Name of the organization.
Last modified on October 5, 2026
Was this page helpful?